pkg upgrade

Простые/общие вопросы по UNIX системам. Спросите здесь, если вы новичок

Модераторы: vadim64, terminus

Правила форума
Убедительная просьба юзать теги [cоde] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
doker
сержант
Сообщения: 207
Зарегистрирован: 2008-11-18 16:20:26

pkg upgrade

Непрочитанное сообщение doker » 2016-06-14 17:32:30

привет !!
вопрос может и ламерский но вымораживает ппц просто.
пытаюсь обновить пых а он мне предлагает удалить кучу другого софта , который мне вообще никак не надо удалять. (я бы понял если бы он мне предложил обновить). можно чтонибудь с этим сделать ?
заранее благодарен за участие

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2000 рублей (HP Proliant G5, Intel Xeon E5430 (2.66GHz, Quad-Core, 12Mb), 8Gb RAM, 2x300Gb SAS HDD, P400i, 512Mb, BBU):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

Аватара пользователя
xM
ст. лейтенант
Сообщения: 1310
Зарегистрирован: 2009-01-15 23:57:41
Откуда: Königsberg
Контактная информация:

pkg upgrade

Непрочитанное сообщение xM » 2016-06-14 19:37:35

RTFM делать.
root@beta:/home/xm # pkg delete -f php56
IT voodoo blog https://kostikov.co

snorlov
подполковник
Сообщения: 3832
Зарегистрирован: 2008-09-04 11:51:25
Откуда: Санкт-Петербург

pkg upgrade

Непрочитанное сообщение snorlov » 2016-06-14 21:42:05

Код: Выделить всё

pkg set -o lang/пых1:lang/пых2
portupgrade -Rf пых1
А так надо посмотреть стоящие модули пыха, если есть модули для новой версии то и для них надо сделать

Код: Выделить всё

pkg set -o ...
и только после этого запускать portupgrade, который обновит и сам пых и его модули...

Аватара пользователя
xM
ст. лейтенант
Сообщения: 1310
Зарегистрирован: 2009-01-15 23:57:41
Откуда: Königsberg
Контактная информация:

pkg upgrade

Непрочитанное сообщение xM » 2016-06-14 22:09:18

А вы, наверное, с 5.4 на 5.6 переезжаете?
Если так, то сначала сделайте копию того, что стоит.

Код: Выделить всё

pkg info php5\* > ~/list
Потом снесите с ключом -f, как я выше написал, затем обновите зависимости snorlov написал, как а потом по листу уже ставьте новую версию. Как-то так.
Ну и в /etc/make.conf тоже поставьте новую версию.

Код: Выделить всё

DEFAULT_VERSIONS= php=5.6
Но, вообще, при апгрейде у вас ничего нужного сноситься не должно. Что-то там у вас покорёжилось.
IT voodoo blog https://kostikov.co

doker
сержант
Сообщения: 207
Зарегистрирован: 2008-11-18 16:20:26

pkg upgrade

Непрочитанное сообщение doker » 2016-06-15 8:57:45

задача в добавлении модуля, а он говорит что версия пыха ненадёжна (php56-5.6.13) и пытается обновить пых, а при обновлении (даже после удаления и установке заного )

Код: Выделить всё

[root@dev2 /usr/ports/graphics/php56-gd]# pkg install php56
Updating FreeBSD repository catalogue...
FreeBSD repository is up-to-date.
All repositories are up-to-date.
Checking integrity... done (1 conflicting)
Checking integrity... done (2 conflicting)
Checking integrity... done (0 conflicting)
The following 21 package(s) will be affected (of 0 checked):

Installed packages to be REMOVED:
        nagios-3.5.1_8
        libgd-2.1.0_5,1
        graphviz-2.38.0_6
        gtk-update-icon-cache-2.24.25
        gtk2-2.24.25_1
        cups-image-1.7.3_3
        ghostscript9-9.06_10
        gconf2-3.2.6_3
        gtk-engines2-2.20.2_2
        librsvg2-2.40.6_1
        libgsf-1.14.30_1
        gdk-pixbuf2-2.31.2_1
        tiff-4.0.3_5
        ImageMagick-6.9.0.4,1
        openjpeg-2.1.0_1
        lcms2-2.6_3
        webp-0.4.2_3
        xforms-1.2.4_2,1
        apc-1.0_8

New packages to be INSTALLED:
        php56: 5.6.22
        jpeg: 8_6

The operation will free 179 MiB.

Отправлено спустя 4 минуты 2 секунды:
занести в список и потом руками востановить конечно можно.... но блин.. так не должно быть ..

Аватара пользователя
xM
ст. лейтенант
Сообщения: 1310
Зарегистрирован: 2009-01-15 23:57:41
Откуда: Königsberg
Контактная информация:

pkg upgrade

Непрочитанное сообщение xM » 2016-06-15 9:04:30

Понятно. Ставилось из портов не недефолтными настройками наверняка. Обновляйтесь из портов или описанным мною способом. Ну только -о не надо если версия не меняется.
IT voodoo blog https://kostikov.co

doker
сержант
Сообщения: 207
Зарегистрирован: 2008-11-18 16:20:26

pkg upgrade

Непрочитанное сообщение doker » 2016-06-15 9:19:09

ставил через pkg

guest
проходил мимо

pkg upgrade

Непрочитанное сообщение guest » 2016-06-15 10:18:00

doker писал(а):задача в добавлении модуля, а он говорит что версия пыха ненадёжна (php56-5.6.13) и пытается обновить пых, а при обновлении (даже после удаления и установке заного )

Код: Выделить всё

[root@dev2 /usr/ports/graphics/php56-gd]# pkg install php56
Updating FreeBSD repository catalogue...
FreeBSD repository is up-to-date.
All repositories are up-to-date.
Checking integrity... done (1 conflicting)
Checking integrity... done (2 conflicting)
Checking integrity... done (0 conflicting)
The following 21 package(s) will be affected (of 0 checked):

Installed packages to be REMOVED:
        nagios-3.5.1_8
        libgd-2.1.0_5,1
        graphviz-2.38.0_6
        gtk-update-icon-cache-2.24.25
        gtk2-2.24.25_1
        cups-image-1.7.3_3
        ghostscript9-9.06_10
        gconf2-3.2.6_3
        gtk-engines2-2.20.2_2
        librsvg2-2.40.6_1
        libgsf-1.14.30_1
        gdk-pixbuf2-2.31.2_1
        tiff-4.0.3_5
        ImageMagick-6.9.0.4,1
        openjpeg-2.1.0_1
        lcms2-2.6_3
        webp-0.4.2_3
        xforms-1.2.4_2,1
        apc-1.0_8

New packages to be INSTALLED:
        php56: 5.6.22
        jpeg: 8_6

The operation will free 179 MiB.

Отправлено спустя 4 минуты 2 секунды:
занести в список и потом руками востановить конечно можно.... но блин.. так не должно быть ..
именно так и должно быть, где меняется run depends от которых зависит php и его extension, далее
просматриваются кто зависит от этих depends (php-extension).

snorlov
подполковник
Сообщения: 3832
Зарегистрирован: 2008-09-04 11:51:25
Откуда: Санкт-Петербург

pkg upgrade

Непрочитанное сообщение snorlov » 2016-06-15 10:35:26

По этой причине я юзаю порты, поскольку pkg может не проинсталлировать софт, сказав, что у этой версии проблемы с безопастностью, и снести пакет, который зависит зависит от удаленного... А кто вам мешает ставить из портов, ведь можно там собирать с дефолтными опциями...

doker
сержант
Сообщения: 207
Зарегистрирован: 2008-11-18 16:20:26

pkg upgrade

Непрочитанное сообщение doker » 2016-06-15 13:07:23

snorlov писал(а):А кто вам мешает ставить из портов, ведь можно там собирать с дефолтными опциями...
удобство и время установки..

snorlov
подполковник
Сообщения: 3832
Зарегистрирован: 2008-09-04 11:51:25
Откуда: Санкт-Петербург

pkg upgrade

Непрочитанное сообщение snorlov » 2016-06-15 13:12:35

doker писал(а):
snorlov писал(а):А кто вам мешает ставить из портов, ведь можно там собирать с дефолтными опциями...
удобство и время установки..
время да, но ведь можно сделать собственный репозитарий...

doker
сержант
Сообщения: 207
Зарегистрирован: 2008-11-18 16:20:26

pkg upgrade

Непрочитанное сообщение doker » 2016-06-15 14:08:33

всем куча благодарностей, портапгрейдом в итоге обновил

Аватара пользователя
glb_ussr
мл. сержант
Сообщения: 110
Зарегистрирован: 2010-05-13 7:45:38

pkg upgrade

Непрочитанное сообщение glb_ussr » 2016-06-28 15:30:11

я portmaster --no-confirm -y -b -d php пользую.

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35271
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

pkg upgrade

Непрочитанное сообщение Alex Keda » 2016-07-01 15:37:10

snorlov писал(а): По этой причине я юзаю порты, поскольку pkg может не проинсталлировать софт, сказав, что у этой версии проблемы с безопастностью, и снести пакет, который зависит зависит от удаленного...
ну так надо внимательно читать, что именно он предлагает сделать-то
Убей их всех! Бог потом рассортирует...

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35271
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

pkg upgrade

Непрочитанное сообщение Alex Keda » 2016-07-01 15:37:10

snorlov писал(а): По этой причине я юзаю порты, поскольку pkg может не проинсталлировать софт, сказав, что у этой версии проблемы с безопастностью, и снести пакет, который зависит зависит от удаленного...
ну так надо внимательно читать, что именно он предлагает сделать-то
Убей их всех! Бог потом рассортирует...

snorlov
подполковник
Сообщения: 3832
Зарегистрирован: 2008-09-04 11:51:25
Откуда: Санкт-Петербург

pkg upgrade

Непрочитанное сообщение snorlov » 2016-07-02 15:21:52

Alex Keda писал(а):
snorlov писал(а): По этой причине я юзаю порты, поскольку pkg может не проинсталлировать софт, сказав, что у этой версии проблемы с безопастностью, и снести пакет, который зависит зависит от удаленного...
ну так надо внимательно читать, что именно он предлагает сделать-то
Ну читать надо всегда, не забыв при этом включить извилины...